#ifndef ASCIIMODULE_H
#define ASCIIMODULE_H

#include "module.h"
#include <vector>

class ASCIIEntity;
class Shader;

class ASCIIModule : public Module
{
    static Shader* shader;
    std::vector<ASCIIEntity*> entities;

public:
    ASCIIModule();
    void addEntity(ASCIIEntity* myEntity);
    virtual void renderGL(Camera* myCamera);

    static Shader* getShader();
    static void setShader(Shader* myShader);
};

#endif // ASCIIMODULE_H
