#ifndef SPHERE_H
#define SPHERE_H

#include "meshbuilder.h"

class Sphere : public MeshBuilder
{
private:
    class Edge{
    public:
        int b;
        int vertex;
        Edge* next;
        Edge(int myB = -1, int myVertex = -1):b(myB),vertex(myVertex),next(NULL){}
        ~Edge(){ if(next != NULL) delete(next); }
    };

    Edge* edges;
    int getEdge(int a, int b);
    void createVertex(float u, float v);
public:
	Sphere(Material* mat, int n = 0);
};

#endif // SPHERE_H
